change everything -- go back to awesomewm

This commit is contained in:
Adam 2023-12-28 04:19:52 -05:00
parent 335f620d8c
commit 937d7af737
4 changed files with 86 additions and 111 deletions

View file

@ -1,35 +1,33 @@
#!/bin/bash #!/bin/bash
# # Full (probably) setup for arch
# install yay
#
cd && set -e
# Install yay
cd
if ! type "yay" &> /dev/null; then if ! type "yay" &> /dev/null; then
echo "Yay not found, installing..." && echo "Yay not found, installing..."
if test -d yay; then if test -d yay; then
rm -rf yay rm -rf yay
fi && fi
git clone https://aur.archlinux.org/yay.git && git clone https://aur.archlinux.org/yay.git
cd yay && cd yay
makepkg -si --noconfirm && makepkg -si --noconfirm
cd && cd
rm -rf yay rm -rf yay
else else
echo -e "\nYay is already installed, skipping..." echo -e "\nYay is already installed, skipping..."
fi && fi
# Install deps
# echo -e "\nInstalling dependencies..."
# install deps
#
echo -e "\nInstalling dependencies..." &&
yay -S --needed --noconfirm \ yay -S --needed --noconfirm \
alacritty \ alacritty \
alsa-utils \ alsa-utils \
awesome \
beautiful-discord-git \ beautiful-discord-git \
bluez \ bluez \
btop \ btop \
@ -39,45 +37,35 @@ chromium \
discord \ discord \
fakeroot \ fakeroot \
firefox-developer-edition \ firefox-developer-edition \
fuzzel \
gawk \ gawk \
gimp \ gimp \
grim \
i3bar-river \
i3status-rust \
lf \ lf \
light \ light \
mako \ maim \
mosh \
mpd \
neovim \ neovim \
nnn \ nnn \
oh-my-zsh-git \ oh-my-zsh-git \
otf-font-awesome \ otf-font-awesome \
pamixer \
playerctl \ playerctl \
powerline-fonts \ powerline-fonts \
pulseaudio \
python-pywalfox \ python-pywalfox \
pywal-discord-git \ pywal-discord-git \
river \
rsync \ rsync \
sl \ sl \
slurp \ slurp \
spotify-launcher \ spotify-launcher \
steam \ steam \
swaybg \ sxiv \
telegram-desktop \ telegram-desktop \
thunderbird \ thunderbird \
ttf-font-awesome \ ttf-font-awesome \
upower \ upower \
wal-telegram-git \ wal-telegram-git \
wl-clipboard \ xclip \
zsh \ zsh \
&&
# Set shell
# echo ""
# set shell
#
echo "" &&
sudo chsh -s /bin/zsh $USER sudo chsh -s /bin/zsh $USER

View file

@ -1,5 +1,9 @@
#!/bin/bash #!/bin/bash
# Minimal setup for Fedora
set -e
cd cd
sudo dnf -y install \ sudo dnf -y install \
@ -9,7 +13,6 @@ neovim \
byobu \ byobu \
zsh \ zsh \
nnn \ nnn \
kitty-terminfo \
mosh \ mosh \
clang \ clang \
@ -17,10 +20,12 @@ clang \
if ! test -d ~/.local/share/nvim/site/pack/packer/start/packer.nvim; then if ! test -d ~/.local/share/nvim/site/pack/packer/start/packer.nvim; then
git clone --depth 1 https://github.com/wbthomason/packer.nvim\ git clone --depth 1 https://github.com/wbthomason/packer.nvim\
~/.local/share/nvim/site/pack/packer/start/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
fi && fi
# OhMyZsh # OhMyZsh
if ! test -d .config/zsh/ohmyzsh; then if ! test -d .config/zsh/ohmyzsh; then
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
fi && fi
# Set shell
sudo usermod -s /bin/zsh $USER sudo usermod -s /bin/zsh $USER

View file

@ -1,35 +1,40 @@
#!/bin/bash #!/bin/bash
# Minimal setup for Ubuntu
set -e
# Base # Base
sudo apt-get -y install \ sudo apt-get -y install \
btop \ btop \
byobu \ byobu \
zsh \ zsh \
sl \ sl \
kitty-terminfo \ nnn
nnn &&
# neovim # Neovim
sudo apt-get -y install software-properties-common && sudo apt-get -y install software-properties-common
sudo add-apt-repository -y ppa:neovim-ppa/stable && sudo add-apt-repository -y ppa:neovim-ppa/stable
sudo apt-get -y update && sudo apt-get -y update
sudo apt-get -y install neovim && sudo apt-get -y install neovim
sudo apt-get -y install python3-dev python3-pip && sudo apt-get -y install python3-dev python3-pip
sudo update-alternatives --install /usr/bin/vi vi /usr/bin/nvim 60 && sudo update-alternatives --install /usr/bin/vi vi /usr/bin/nvim 60
sudo update-alternatives --config vi && sudo update-alternatives --config vi
sudo update-alternatives --install /usr/bin/vim vim /usr/bin/nvim 60 && sudo update-alternatives --install /usr/bin/vim vim /usr/bin/nvim 60
sudo update-alternatives --config vim && sudo update-alternatives --config vim
sudo update-alternatives --install /usr/bin/editor editor /usr/bin/nvim 60 && sudo update-alternatives --install /usr/bin/editor editor /usr/bin/nvim 60
sudo update-alternatives --config editor && sudo update-alternatives --config editor
# Packer # Packer
if ! test -d ~/.local/share/nvim/site/pack/packer/start/packer.nvim; then if ! test -d ~/.local/share/nvim/site/pack/packer/start/packer.nvim; then
git clone --depth 1 https://github.com/wbthomason/packer.nvim\ git clone --depth 1 https://github.com/wbthomason/packer.nvim\
~/.local/share/nvim/site/pack/packer/start/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
fi && fi
# OhMyZsh # OhMyZsh
if ! test -d .config/zsh/ohmyzsh; then if ! test -d .config/zsh/ohmyzsh; then
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
fi && fi
# Set shell
sudo chsh -s /bin/zsh $USER sudo chsh -s /bin/zsh $USER

93
setup
View file

@ -1,103 +1,80 @@
#!/bin/bash #!/bin/bash
#
# setup
#
clear set -e
# execute in less with a header for style points
# Execute in less with a header for style points
exec > >(less +F --header 8) 2>&1 exec > >(less +F --header 8) 2>&1
trap 'exec >&- 2>&-; wait' EXIT trap 'exec >&- 2>&-; wait' EXIT
# Grab said header
# grab said header
curl -s https://old.doordesk.net/doors curl -s https://old.doordesk.net/doors
echo -e "Doors are sturdier than windows.\n-------------------------------------------------------" echo -e "Doors are sturdier than windows.\n-------------------------------------------------------"
# Detect OS and run corresponding setup
#
# detect OS and run corresponding setup
#
. /etc/os-release . /etc/os-release
OS=$NAME OS=$NAME
echo -e "\nDetected OS as $OS" echo -e "\nDetected OS as $OS"
if [[ $OS == *Arch* ]]; then if [[ $OS == *Arch* ]]; then
cd && cd
echo "Enabling Pacman colors..." && echo "Enabling Pacman colors..."
sudo sed '/Color/s/^#//' -i /etc/pacman.conf && sudo sed '/Color/s/^#//' -i /etc/pacman.conf
echo -e "\nVerifying base requirements..." && echo -e "\nVerifying base requirements..."
sudo pacman -S --needed --noconfirm git base-devel && sudo pacman -S --needed --noconfirm git base-devel
if test -d .doors; then if test -d .doors; then
echo -e "\n$HOME/.doors found, checking for updates..." echo -e "\n$HOME/.doors found, checking for updates..."
cd .doors && git pull && cd cd .doors
git pull
cd
else else
echo -e "\n$HOME/.doors not found, creating..." echo -e "\n$HOME/.doors not found, creating..."
git clone https://github.com/adoyle0/Doors.git .doors git clone https://github.com/adoyle0/Doors.git .doors
fi && fi
$HOME/.doors/scripts/install_arch $HOME/.doors/scripts/install_arch
elif [[ $OS == *buntu* ]]; then elif [[ $OS == *buntu* ]]; then
cd && cd
sudo apt-get -y install git rsync && sudo apt-get -y install git rsync
git clone https://github.com/adoyle0/Doors.git .doors && git clone https://github.com/adoyle0/Doors.git .doors
$HOME/.doors/scripts/install_min_ubuntu $HOME/.doors/scripts/install_min_ubuntu
elif [[ $OS == *Fedora* ]]; then elif [[ $OS == *Fedora* ]]; then
cd && cd
sudo dnf install -y git rsync && sudo dnf install -y git rsync
git clone https://github.com/adoyle0/Doors.git .doors && git clone https://github.com/adoyle0/Doors.git .doors
$HOME/.doors/scripts/install_min_fedora $HOME/.doors/scripts/install_min_fedora
fi fi
# Copy configs and make a backup if it already exists
echo -e "\nInstalling Configs..."
# cd $HOME/.doors/configs
# copy configs
#
echo -e "\nInstalling Configs..." &&
cd $HOME/.doors/configs &&
for file in * for file in *
do do
echo -e "\n$file..." && echo -e "\n$file..."
cp -rbv $file $HOME/.config/ cp -rbv $file $HOME/.config/
done && done
echo -e "\nLinking profile..." &&
cp -sbv $HOME/.config/shell/profile ~/.zprofile &&
# Link shell files and make a backup if it already exists
echo -e "\nLinking shell..."
cp -sbv $HOME/.config/shell/profile ~/.zprofile
cp -sbv $HOME/.config/x11/xinitrc ~/.xinitrc
# Copy scripts and make a backup if it already exists
# echo -e "\nInstalling Scripts..."
# copy scripts cd $HOME/.doors
#
echo -e "\nInstalling Scripts..." &&
cd $HOME/.doors &&
if [ ! -d "$HOME/.local/bin" ]; then if [ ! -d "$HOME/.local/bin" ]; then
mkdir "$HOME/.local/bin" mkdir "$HOME/.local/bin"
fi && fi
cp -rbv bin $HOME/.local && cp -rbv bin $HOME/.local
#
# wrap up
#
# Wrap up
echo -e "\nDone!\nLog out and back in for changes to take effect." echo -e "\nDone!\nLog out and back in for changes to take effect."
# Give less time to catch up and tell it we're done
# give less time to catch up and tell it we're done
sleep 1 && killall -s SIGINT less sleep 1 && killall -s SIGINT less